﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace RadComboBox_WPF_751621
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Order> items;

        public ObservableCollection<Order> Items
        {
            get { return items; }
            set { items = value; this.OnPropertyChanged("Items"); }
        }

        private string selectedOrderTag;

        public string SelectedOrderTag
        {
            get { return selectedOrderTag; }
            set { selectedOrderTag = value; this.OnPropertyChanged("SelectedOrderTag"); }
        }



        public ViewModel()
        {
            //this.Items = new ObservableCollection<Order>();
            using (LocalDataBaseEntities entities = new LocalDataBaseEntities())
            {
                this.Items = new ObservableCollection<Order>(entities.Orders.ToList());
            }
           
            ///The third element has OrderTag = null
            this.SelectedOrderTag = this.Items[2].OrderTag;
        }
    }
}
